//
//  ResultViewController.swift
//  NyanFat
//
//  Created by qair on 2015/01/24.
//  Copyright (c) 2015年 GGJ2015Team11. All rights reserved.
//

import UIKit

class ResultViewController: UIViewController {
    var score = 0
    
    @IBOutlet weak var scoreNumberIV3: UIImageView!
    @IBOutlet weak var scoreNumberIV2: UIImageView!
    @IBOutlet weak var scoreNumberIV1: UIImageView!
    @IBOutlet weak var scoreNumberIV0: UIImageView!
    
    override func prefersStatusBarHidden() -> Bool {
        return true
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.showScore(score)

    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }

    func showScore(score: Int) {
        var num = (self.score % 10000) / 1000
        self.scoreNumberIV3.image = UIImage(named:"number_" + String(num) + "_r")
        num = (self.score % 1000) / 100
        self.scoreNumberIV2.image = UIImage(named:"number_" + String(num) + "_r")
        num = (self.score % 100) / 10
        println(num)
        self.scoreNumberIV1.image = UIImage(named:"number_" + String(num) + "_r")
        num = self.score % 10
        self.scoreNumberIV0.image = UIImage(named:"number_" + String(num) + "_r")
    }

    // MARK: - IBAction
    
    @IBAction func tapReplayButton(sender: AnyObject) {
        self.dismissViewControllerAnimated(true, completion: { () -> Void in
            
        })
    }
    
    
    // MARK: - Navigation
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
    }

}
